<?php
/*
 * Plugin Name: CookieGuard
 * Plugin URI: http://www.mirai-online.de
 * Description: CookieGuard for FlatPress. <a href="./fp-plugins/cookieguard/doc_cookieguard.txt" title="Anleitung" target="_blank">[Instructions]</a>
 * Author: Mirai-Online
 * Version: 1.1.1
 * Author URI: http://www.mirai-online.de
 * Changelog: 	The plugin now adjusts the style to the corresponding media size, by Fraenkiman
 * 		Added: Description for Essential Session Cookies and User ID, by Fraenkiman
 * 		Added: The banner now refers to the privacy policy (dataprotection), by Fraenkiman
 * 		Fixed: cookieguardicon is not displayed although expected, by Fraenkiman
 *		Fixed: Banner does not stick to the top edge, by Fraenkiman
 * Change-Date:	23.10.2022
 * 
 */ 
 
function plugin_cookieguard_head() {
	$baseurl = BLOG_BASEURL;
	$pdir = plugin_geturl('cookieguard');
	global $lang;
	lang_load('plugin:cookieguard');
	echo '
	    <!-- start of CookieGuard -->
		<script src="' . $pdir . 'res/jqueryCookieGuard.1.1.1.js"></script>
		<script>
		    /**
		    * Initializes the CookieGuard plugin.
		    */
		    $(document).ready(function(){
			    $.cookieguard();
			    $.cookieguard.cookies.add(\'PHP Session, Flatpress\', \'dontcount,PHPSESSID,fpsess_fp-*,comment_author_fp-*,comment_author_email_fp-*,fpuser_fp-*,fppass_fp-*\', \'' . $lang ['plugin'] ['cookieguard'] ['essential_cookies'] . '\', true);    
			    //    $.cookieguard.cookies.add(\'Example-cookie\', \'examplecookie\', \'An example of a third-party cookie.\', false);
			    $.cookieguard.cookies.add(\'\', \'\', \'\', false);
			    $.cookieguard.run();
			});
		</script>
	    <!-- end of CookieGuard -->
	    ';
}
 
add_action('wp_head', 'plugin_cookieguard_head');

// function plugin_cookieguard_footer() {
//	$baseurl = BLOG_BASEURL;
//	$pdir=plugin_geturl('cookieguard');
//	echo '<!-- beginn CookieGuard -->

// <!-- end CookieGuard -->';
// }
//add_action('wp_footer', 'plugin_cookieguard_footer');
?>
